Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action
Class QueryReferenceAction

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.springframework.webflow.action.MultiAction
              org.springframework.webflow.action.FormAction
                  com.jaspersoft.jasperserver.war.action.QueryReferenceAction

All Implemented Interfaces:
  org.springframework.beans.factory.InitializingBean, org.springframework.webflow.execution.Action

    public class QueryReferenceAction

extends org.springframework.webflow.action.FormAction

Version:
  $Id: QueryReferenceAction.java 10048 2007-09-13 16:23:56Z tdanciu $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from class org.springframework.webflow.action.MultiAction
`org.springframework.webflow.action.MultiAction.MethodResolver`

Field Summary

Fields inherited from class org.springframework.webflow.action.FormAction
`DEFAULT_FORM_OBJECT_NAME, VALIDATOR_METHOD_ATTRIBUTE`

Fields inherited from class org.springframework.webflow.action.AbstractAction
`logger`

Constructor Summary
`QueryReferenceAction()`

Method Summary
`java.lang.String` | `getQueryLookupsRequestAttrName()`
`java.lang.String` | `getQueryWrapperRequestAttrName()`
`RepositoryService` | `getRepository()`
`org.springframework.webflow.execution.Event` | `prepareQuerySource(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `queryLocal(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `queryNone(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `queryReference(org.springframework.webflow.execution.RequestContext context)`
`protected ResourceReferenceDTO` | `referenceDTO(org.springframework.webflow.execution.RequestContext context)`
`void` | `setQueryLookupsRequestAttrName(java.lang.String referenceURIListRequestAttrName)`
`void` | `setQueryWrapperRequestAttrName(java.lang.String queryWrapperRequestAttrName)`
`void` | `setRepository(RepositoryService repository)`

Methods inherited from class org.springframework.webflow.action.FormAction
`bind, bindAndValidate, createBinder, createFormObject, doBind, doValidate, getFormErrors, getFormErrorsScope, getFormObject, getFormObjectAccessor, getFormObjectClass, getFormObjectName, getFormObjectScope, getMessageCodesResolver, getPropertyEditorRegistrar, getValidateMethodInvoker, getValidator, initAction, initBinder, registerPropertyEditors, registerPropertyEditors, resetForm, setFormErrorsScope, setFormObjectClass, setFormObjectName, setFormObjectScope, setMessageCodesResolver, setPropertyEditorRegistrar, setupForm, setValidator, validate, validationEnabled`

Methods inherited from class org.springframework.webflow.action.MultiAction
`doExecute, getMethodResolver, setMethodResolver, setTarget`

Methods inherited from class org.springframework.webflow.action.AbstractAction
`afterPropertiesSet, doPostExecute, doPreExecute, error, error, execute, getActionNameForLogging, getEventFactorySupport, no, result, result, result, result, success, success, yes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.InitializingBean
`afterPropertiesSet`

Constructor Detail

### QueryReferenceAction

    public QueryReferenceAction()

Method Detail

### prepareQuerySource

    public org.springframework.webflow.execution.Event prepareQuerySource(org.springframework.webflow.execution.RequestContext context)

### queryReference

    public org.springframework.webflow.execution.Event queryReference(org.springframework.webflow.execution.RequestContext context)

### queryLocal

    public org.springframework.webflow.execution.Event queryLocal(org.springframework.webflow.execution.RequestContext context)
                                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### queryNone

    public org.springframework.webflow.execution.Event queryNone(org.springframework.webflow.execution.RequestContext context)

### referenceDTO

    protected ResourceReferenceDTO referenceDTO(org.springframework.webflow.execution.RequestContext context)
                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getQueryLookupsRequestAttrName

    public java.lang.String getQueryLookupsRequestAttrName()

  Returns:
    Returns the referenceURIListRequestAttrName.

### setQueryLookupsRequestAttrName

    public void setQueryLookupsRequestAttrName(java.lang.String referenceURIListRequestAttrName)

  Parameters:
    `referenceURIListRequestAttrName` - The referenceURIListRequestAttrName to set.

### getRepository

    public RepositoryService getRepository()

  Returns:
    Returns the repository.

### setRepository

    public void setRepository(RepositoryService repository)

  Parameters:
    `repository` - The repository to set.

### getQueryWrapperRequestAttrName

    public java.lang.String getQueryWrapperRequestAttrName()

  Returns:
    Returns the queryWrapperRequestAttrName.

### setQueryWrapperRequestAttrName

    public void setQueryWrapperRequestAttrName(java.lang.String queryWrapperRequestAttrName)

  Parameters:
    `queryWrapperRequestAttrName` - The queryWrapperRequestAttrName to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.